@ECHO OFF
cls
echo Video Convert Script (beta) for UHD Player
echo.
echo This script converts all videos contained in the folder
echo where the script is executed to h.265 using 2-pass encoding
echo with tested parameters. The converted videos will be optimized
echo for the playback on UHD Players.
echo The Frame Rate will be adopted from the original file and is 
echo not affected through encoding.
echo The Color Space will be converted to YUV 4:2:0.
echo.
echo This script uses ffmpeg and needs ffmpeg set to PATH environmental variable.
echo.
echo The script creates a new folder called "converted", where the transcoded files
echo will be placed.
echo Audio will be downmixed to stereo if your source material contains multichannel audio.
echo Source containers can be *.mp4 *.mkv *.webm *.mov *.ts *.avi *.mpg.
echo.
pause
echo.
echo The following source files could be found:
echo.
for %%f in (*.mp4 *.mkv *.webm *.mov *.ts *.avi *.mpg) do (echo %%f)
echo.
pause
mkdir converted
for %%f in (*.mp4 *.mkv *.webm *.mov *.ts *.avi *.mpg) do (
  ffmpeg -y -i "%%~f" -c:v libx265 -pix_fmt yuv420p -x265-params pass=1:vbv-maxrate=35000:vbv-bufsize=70000 -c:a aac -ac 2 -f mp4 NUL 
  ffmpeg -i "%%~f" -c:v libx265 -pix_fmt yuv420p -x265-params pass=2:vbv-maxrate=35000:vbv-bufsize=70000 -c:a aac -ac 2 "converted\%%~nf.mp4"
)

